Update a validation rule
Updates given validation rule, and performs any registered hooks
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
equipment_schema_id
ID of the EquipmentSchema.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
validationRuleId
archive
archiveReason
definition
description
errorMessage
name
Response
OK
validationRuleId
Errors
400
Equipment Schema Update Validation Rule Request Bad Request Error
403
Equipment Schema Update Validation Rule Request Forbidden Error
404
Equipment Schema Update Validation Rule Request Not Found Error
409
Equipment Schema Update Validation Rule Request Conflict Error
429
Equipment Schema Update Validation Rule Request Too Many Requests Error
500
Equipment Schema Update Validation Rule Request Internal Server Error